com.genesyslab.wfm8.API.service.config852

## Class CfgAgentFilter

- java.lang.Object
- - com.genesyslab.wfm8.API.service.config852.CfgAgentFilter

- All Implemented Interfaces:
    java.io.Serializable

      public class CfgAgentFilter
      extends java.lang.Object
      implements java.io.Serializable

  Defines a filter in the request for Agent information
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `cfgAgentSnapshotID` Existing Agent snapshot ID.
    `protected boolean` | `enableSecondarySkills` Specifies wheather to use Agent's secondary skills when searching by activities or use only primary skills
    `protected java.util.List<java.lang.Integer>` | `gswAgentId` An array of Agent identifiers.
    `protected int` | `gswAgentIdNSizeIs` Number of elements in the gswAgentId array.
    `protected java.util.List<java.lang.String>` | `gswEmployeeId` An array of Employee IDs.
    `protected int` | `gswEmployeeIdNSizeIs` Number of elements in the gswEmployeeId array.
    `protected java.lang.String` | `gswFirstName` Agent's first name filter
    `protected java.lang.String` | `gswLastName` Agent's last name filter
    `protected java.lang.Integer` | `matchAllActivities` Specifies wheather all actvity filter activities should be matched against Agent's skills or just any single activity needs to match.
    `private static long` | `serialVersionUID`
    `protected java.util.List<java.lang.Integer>` | `wmAccrualRuleId`
    `protected int` | `wmAccrualRuleIdNSizeIs`
    `protected java.util.List<java.lang.Integer>` | `wmBUId` An array of BU identifiers.
    `protected int` | `wmBUIdNSizeIs` Number of elements in the wmBUId array
    `protected java.util.List<java.lang.Integer>` | `wmContractId` An array of Contract identifiers.
    `protected int` | `wmContractIdNSizeIs` Number of elements in the wmContractId array.
    `protected double` | `wmEndDate` Defines Termination date (`OleDateTime`) filter (can be NULL)
    `protected java.util.List<java.lang.Integer>` | `wmRotatingSchId`
    `protected int` | `wmRotatingSchIdNSizeIs`
    `protected java.util.List<java.lang.Integer>` | `wmSiteId` An array of Site identifiers.
    `protected int` | `wmSiteIdNSizeIs` Number of elements in the wmSiteId array
    `protected double` | `wmStartDate` Defines Hire date (`OleDateTime`) filter (can be NULL)
    `protected java.util.List<java.lang.Integer>` | `wmTeamId` An array of Team identifiers.
    `protected int` | `wmTeamIdNSizeIs` Number of elements in the wmTeamId array.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CfgAgentFilter()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `java.lang.String` | `getCfgAgentSnapshotID()` Gets the value of the cfgAgentSnapshotID property.
    `java.util.List<java.lang.Integer>` | `getGswAgentId()` Gets the value of the gswAgentId property.
    `int` | `getGswAgentIdNSizeIs()` Gets the value of the gswAgentIdNSizeIs property.
    `java.util.List<java.lang.String>` | `getGswEmployeeId()` Gets the value of the gswEmployeeId property.
    `int` | `getGswEmployeeIdNSizeIs()` Gets the value of the gswEmployeeIdNSizeIs property.
    `java.lang.String` | `getGswFirstName()` Gets the value of the gswFirstName property.
    `java.lang.String` | `getGswLastName()` Gets the value of the gswLastName property.
    `java.lang.Integer` | `getMatchAllActivities()` Gets the value of the matchAllActivities property.
    `java.util.List<java.lang.Integer>` | `getWmAccrualRuleId()` Gets the value of the wmAccrualRuleId property.
    `int` | `getWmAccrualRuleIdNSizeIs()` Gets the value of the wmAccrualRuleIdNSizeIs property.
    `java.util.List<java.lang.Integer>` | `getWmBUId()` Gets the value of the wmBUId property.
    `int` | `getWmBUIdNSizeIs()` Gets the value of the wmBUIdNSizeIs property.
    `java.util.List<java.lang.Integer>` | `getWmContractId()` Gets the value of the wmContractId property.
    `int` | `getWmContractIdNSizeIs()` Gets the value of the wmContractIdNSizeIs property.
    `double` | `getWmEndDate()` Gets the value of the wmEndDate property.
    `java.util.List<java.lang.Integer>` | `getWmRotatingSchId()` Gets the value of the wmRotatingSchId property.
    `int` | `getWmRotatingSchIdNSizeIs()` Gets the value of the wmRotatingSchIdNSizeIs property.
    `java.util.List<java.lang.Integer>` | `getWmSiteId()` Gets the value of the wmSiteId property.
    `int` | `getWmSiteIdNSizeIs()` Gets the value of the wmSiteIdNSizeIs property.
    `double` | `getWmStartDate()` Gets the value of the wmStartDate property.
    `java.util.List<java.lang.Integer>` | `getWmTeamId()` Gets the value of the wmTeamId property.
    `int` | `getWmTeamIdNSizeIs()` Gets the value of the wmTeamIdNSizeIs property.
    `int` | `hashCode()`
    `boolean` | `isEnableSecondarySkills()` Gets the value of the enableSecondarySkills property.
    `void` | `setCfgAgentSnapshotID(java.lang.String value)` Sets the value of the cfgAgentSnapshotID property.
    `void` | `setEnableSecondarySkills(boolean value)` Sets the value of the enableSecondarySkills property.
    `void` | `setGswAgentId(java.util.List<java.lang.Integer> gswAgentId)` Sets the value of the gswAgentId property.
    `void` | `setGswAgentIdNSizeIs(int value)` Sets the value of the gswAgentIdNSizeIs property.
    `void` | `setGswEmployeeId(java.util.List<java.lang.String> gswEmployeeId)` Sets the value of the gswEmployeeId property.
    `void` | `setGswEmployeeIdNSizeIs(int value)` Sets the value of the gswEmployeeIdNSizeIs property.
    `void` | `setGswFirstName(java.lang.String value)` Sets the value of the gswFirstName property.
    `void` | `setGswLastName(java.lang.String value)` Sets the value of the gswLastName property.
    `void` | `setMatchAllActivities(java.lang.Integer value)` Sets the value of the matchAllActivities property.
    `void` | `setWmAccrualRuleId(java.util.List<java.lang.Integer> wmAccrualRuleId)` Sets the value of the wmAccrualRuleId property.
    `void` | `setWmAccrualRuleIdNSizeIs(int value)` Sets the value of the wmAccrualRuleIdNSizeIs property.
    `void` | `setWmBUId(java.util.List<java.lang.Integer> wmBUId)` Sets the value of the wmBUId property.
    `void` | `setWmBUIdNSizeIs(int value)` Sets the value of the wmBUIdNSizeIs property.
    `void` | `setWmContractId(java.util.List<java.lang.Integer> wmContractId)` Sets the value of the wmContractId property.
    `void` | `setWmContractIdNSizeIs(int value)` Sets the value of the wmContractIdNSizeIs property.
    `void` | `setWmEndDate(double value)` Sets the value of the wmEndDate property.
    `void` | `setWmRotatingSchId(java.util.List<java.lang.Integer> wmRotatingSchId)` Sets the value of the wmRotatingSchId property.
    `void` | `setWmRotatingSchIdNSizeIs(int value)` Sets the value of the wmRotatingSchIdNSizeIs property.
    `void` | `setWmSiteId(java.util.List<java.lang.Integer> wmSiteId)` Sets the value of the wmSiteId property.
    `void` | `setWmSiteIdNSizeIs(int value)` Sets the value of the wmSiteIdNSizeIs property.
    `void` | `setWmStartDate(double value)` Sets the value of the wmStartDate property.
    `void` | `setWmTeamId(java.util.List<java.lang.Integer> wmTeamId)` Sets the value of the wmTeamId property.
    `void` | `setWmTeamIdNSizeIs(int value)` Sets the value of the wmTeamIdNSizeIs property.
    `java.lang.String` | `toString()`
    `CfgAgentFilter` | `withCfgAgentSnapshotID(java.lang.String value)`
    `CfgAgentFilter` | `withEnableSecondarySkills(boolean value)`
    `CfgAgentFilter` | `withGswAgentId(java.util.Collection<java.lang.Integer> values)`
    `CfgAgentFilter` | `withGswAgentId(java.lang.Integer... values)`
    `CfgAgentFilter` | `withGswAgentIdNSizeIs(int value)`
    `CfgAgentFilter` | `withGswEmployeeId(java.util.Collection<java.lang.String> values)`
    `CfgAgentFilter` | `withGswEmployeeId(java.lang.String... values)`
    `CfgAgentFilter` | `withGswEmployeeIdNSizeIs(int value)`
    `CfgAgentFilter` | `withGswFirstName(java.lang.String value)`
    `CfgAgentFilter` | `withGswLastName(java.lang.String value)`
    `CfgAgentFilter` | `withMatchAllActivities(java.lang.Integer value)`
    `CfgAgentFilter` | `withWmAccrualRuleId(java.util.Collection<java.lang.Integer> values)`
    `CfgAgentFilter` | `withWmAccrualRuleId(java.lang.Integer... values)`
    `CfgAgentFilter` | `withWmAccrualRuleIdNSizeIs(int value)`
    `CfgAgentFilter` | `withWmBUId(java.util.Collection<java.lang.Integer> values)`
    `CfgAgentFilter` | `withWmBUId(java.lang.Integer... values)`
    `CfgAgentFilter` | `withWmBUIdNSizeIs(int value)`
    `CfgAgentFilter` | `withWmContractId(java.util.Collection<java.lang.Integer> values)`
    `CfgAgentFilter` | `withWmContractId(java.lang.Integer... values)`
    `CfgAgentFilter` | `withWmContractIdNSizeIs(int value)`
    `CfgAgentFilter` | `withWmEndDate(double value)`
    `CfgAgentFilter` | `withWmRotatingSchId(java.util.Collection<java.lang.Integer> values)`
    `CfgAgentFilter` | `withWmRotatingSchId(java.lang.Integer... values)`
    `CfgAgentFilter` | `withWmRotatingSchIdNSizeIs(int value)`
    `CfgAgentFilter` | `withWmSiteId(java.util.Collection<java.lang.Integer> values)`
    `CfgAgentFilter` | `withWmSiteId(java.lang.Integer... values)`
    `CfgAgentFilter` | `withWmSiteIdNSizeIs(int value)`
    `CfgAgentFilter` | `withWmStartDate(double value)`
    `CfgAgentFilter` | `withWmTeamId(java.util.Collection<java.lang.Integer> values)`
    `CfgAgentFilter` | `withWmTeamId(java.lang.Integer... values)`
    `CfgAgentFilter` | `withWmTeamIdNSizeIs(int value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### wmBUIdNSizeIs

          protected int wmBUIdNSizeIs

      Number of elements in the wmBUId array

    - #### wmBUId

          protected java.util.List<java.lang.Integer> wmBUId

      An array of BU identifiers. When specified, defines a filter of Business Units that returned Agents must belong to.

    - #### wmSiteIdNSizeIs

          protected int wmSiteIdNSizeIs

      Number of elements in the wmSiteId array

    - #### wmSiteId

          protected java.util.List<java.lang.Integer> wmSiteId

      An array of Site identifiers. When specified, defines a filter of Sites that returned Agents must belong to.

    - #### wmTeamIdNSizeIs

          protected int wmTeamIdNSizeIs

      Number of elements in the wmTeamId array.

    - #### wmTeamId

          protected java.util.List<java.lang.Integer> wmTeamId

      An array of Team identifiers. When specified, defines a filter of Teams that returned Agents must belong to. Note that, if wmSiteId (or wmBUId) filter is specified, then wmTeamId filter applies only to Sites that specified Teams belong to, This allows constructing a filter that requests all Teams from one Site but only specific Teams from another Site. The wmTeamId filter can be used without specifying wmSiteId filter but once wmSiteId filter is specified then all Teams in wmTeamId filter must also satisfy wmSiteId filter or they will not be returned.

    - #### gswAgentIdNSizeIs

          protected int gswAgentIdNSizeIs

      Number of elements in the gswAgentId array.

    - #### gswAgentId

          protected java.util.List<java.lang.Integer> gswAgentId

      An array of Agent identifiers. When specified, narrows Agent selection to specific Agents. Note that, if wmSiteId (or wmBUId) filter is specified, then gswAgentId filter applies only to Sites that specified Agents belong to, This allows constructing a filter that requests all Agents from one Site but only specific Agents from another Site. The gswAgentId filter can be used without wmSiteId filter specified but once wmSiteId filter is specified then all Agents in gswAgentId filter must also satisfy wmSiteId filter or they will not be returned.

    - #### gswEmployeeIdNSizeIs

          protected int gswEmployeeIdNSizeIs

      Number of elements in the gswEmployeeId array.

    - #### gswEmployeeId

          protected java.util.List<java.lang.String> gswEmployeeId

      An array of Employee IDs.

    - #### wmContractIdNSizeIs

          protected int wmContractIdNSizeIs

      Number of elements in the wmContractId array.

    - #### wmContractId

          protected java.util.List<java.lang.Integer> wmContractId

      An array of Contract identifiers. When specified, defines filter of Contracts that all returned Agents must belong to at least one Contract specified.

    - #### wmRotatingSchIdNSizeIs

          protected int wmRotatingSchIdNSizeIs

    - #### wmRotatingSchId

          protected java.util.List<java.lang.Integer> wmRotatingSchId

    - #### wmAccrualRuleIdNSizeIs

          protected int wmAccrualRuleIdNSizeIs

    - #### wmAccrualRuleId

          protected java.util.List<java.lang.Integer> wmAccrualRuleId

    - #### wmStartDate

          protected double wmStartDate

      Defines Hire date (`OleDateTime`) filter (can be NULL)

    - #### wmEndDate

          protected double wmEndDate

      Defines Termination date (`OleDateTime`) filter (can be NULL)

    - #### enableSecondarySkills

          protected boolean enableSecondarySkills

      Specifies wheather to use Agent's secondary skills when searching by activities or use only primary skills

    - #### gswFirstName

          protected java.lang.String gswFirstName

      Agent's first name filter

    - #### gswLastName

          protected java.lang.String gswLastName

      Agent's last name filter

    - #### cfgAgentSnapshotID

          protected java.lang.String cfgAgentSnapshotID

      Existing Agent snapshot ID. Can be used to specify agent pool for the search

    - #### matchAllActivities

          protected java.lang.Integer matchAllActivities

      Specifies wheather all actvity filter activities should be matched against Agent's skills or just any single activity needs to match.

  - ### Constructor Detail

    - #### CfgAgentFilter

          public CfgAgentFilter()

  - ### Method Detail

    - #### getWmBUIdNSizeIs

          public int getWmBUIdNSizeIs()

      Gets the value of the wmBUIdNSizeIs property.

    - #### setWmBUIdNSizeIs

          public void setWmBUIdNSizeIs(int value)

      Sets the value of the wmBUIdNSizeIs property.

    - #### getWmBUId

          public java.util.List<java.lang.Integer> getWmBUId()

      Gets the value of the wmBUId property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the wmBUId property.

      For example, to add a new item, do as follows:

              getWmBUId().add(newItem);

      Objects of the following type(s) are allowed in the list `Integer`

    - #### getWmSiteIdNSizeIs

          public int getWmSiteIdNSizeIs()

      Gets the value of the wmSiteIdNSizeIs property.

    - #### setWmSiteIdNSizeIs

          public void setWmSiteIdNSizeIs(int value)

      Sets the value of the wmSiteIdNSizeIs property.

    - #### getWmSiteId

          public java.util.List<java.lang.Integer> getWmSiteId()

      Gets the value of the wmSiteId property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the wmSiteId property.

      For example, to add a new item, do as follows:

              getWmSiteId().add(newItem);

      Objects of the following type(s) are allowed in the list `Integer`

    - #### getWmTeamIdNSizeIs

          public int getWmTeamIdNSizeIs()

      Gets the value of the wmTeamIdNSizeIs property.

    - #### setWmTeamIdNSizeIs

          public void setWmTeamIdNSizeIs(int value)

      Sets the value of the wmTeamIdNSizeIs property.

    - #### getWmTeamId

          public java.util.List<java.lang.Integer> getWmTeamId()

      Gets the value of the wmTeamId property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the wmTeamId property.

      For example, to add a new item, do as follows:

              getWmTeamId().add(newItem);

      Objects of the following type(s) are allowed in the list `Integer`

    - #### getGswAgentIdNSizeIs

          public int getGswAgentIdNSizeIs()

      Gets the value of the gswAgentIdNSizeIs property.

    - #### setGswAgentIdNSizeIs

          public void setGswAgentIdNSizeIs(int value)

      Sets the value of the gswAgentIdNSizeIs property.

    - #### getGswAgentId

          public java.util.List<java.lang.Integer> getGswAgentId()

      Gets the value of the gswAgentId property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the gswAgentId property.

      For example, to add a new item, do as follows:

              getGswAgentId().add(newItem);

      Objects of the following type(s) are allowed in the list `Integer`

    - #### getGswEmployeeIdNSizeIs

          public int getGswEmployeeIdNSizeIs()

      Gets the value of the gswEmployeeIdNSizeIs property.

    - #### setGswEmployeeIdNSizeIs

          public void setGswEmployeeIdNSizeIs(int value)

      Sets the value of the gswEmployeeIdNSizeIs property.

    - #### getGswEmployeeId

          public java.util.List<java.lang.String> getGswEmployeeId()

      Gets the value of the gswEmployeeId property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the gswEmployeeId property.

      For example, to add a new item, do as follows:

              getGswEmployeeId().add(newItem);

      Objects of the following type(s) are allowed in the list `String`

    - #### getWmContractIdNSizeIs

          public int getWmContractIdNSizeIs()

      Gets the value of the wmContractIdNSizeIs property.

    - #### setWmContractIdNSizeIs

          public void setWmContractIdNSizeIs(int value)

      Sets the value of the wmContractIdNSizeIs property.

    - #### getWmContractId

          public java.util.List<java.lang.Integer> getWmContractId()

      Gets the value of the wmContractId property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the wmContractId property.

      For example, to add a new item, do as follows:

              getWmContractId().add(newItem);

      Objects of the following type(s) are allowed in the list `Integer`

    - #### getWmRotatingSchIdNSizeIs

          public int getWmRotatingSchIdNSizeIs()

      Gets the value of the wmRotatingSchIdNSizeIs property.

    - #### setWmRotatingSchIdNSizeIs

          public void setWmRotatingSchIdNSizeIs(int value)

      Sets the value of the wmRotatingSchIdNSizeIs property.

    - #### getWmRotatingSchId

          public java.util.List<java.lang.Integer> getWmRotatingSchId()

      Gets the value of the wmRotatingSchId property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the wmRotatingSchId property.

      For example, to add a new item, do as follows:

              getWmRotatingSchId().add(newItem);

      Objects of the following type(s) are allowed in the list `Integer`

    - #### getWmAccrualRuleIdNSizeIs

          public int getWmAccrualRuleIdNSizeIs()

      Gets the value of the wmAccrualRuleIdNSizeIs property.

    - #### setWmAccrualRuleIdNSizeIs

          public void setWmAccrualRuleIdNSizeIs(int value)

      Sets the value of the wmAccrualRuleIdNSizeIs property.

    - #### getWmAccrualRuleId

          public java.util.List<java.lang.Integer> getWmAccrualRuleId()

      Gets the value of the wmAccrualRuleId property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the wmAccrualRuleId property.

      For example, to add a new item, do as follows:

              getWmAccrualRuleId().add(newItem);

      Objects of the following type(s) are allowed in the list `Integer`

    - #### getWmStartDate

          public double getWmStartDate()

      Gets the value of the wmStartDate property.

    - #### setWmStartDate

          public void setWmStartDate(double value)

      Sets the value of the wmStartDate property.

    - #### getWmEndDate

          public double getWmEndDate()

      Gets the value of the wmEndDate property.

    - #### setWmEndDate

          public void setWmEndDate(double value)

      Sets the value of the wmEndDate property.

    - #### isEnableSecondarySkills

          public boolean isEnableSecondarySkills()

      Gets the value of the enableSecondarySkills property.

    - #### setEnableSecondarySkills

          public void setEnableSecondarySkills(boolean value)

      Sets the value of the enableSecondarySkills property.

    - #### getGswFirstName

          public java.lang.String getGswFirstName()

      Gets the value of the gswFirstName property.
      Returns:
        possible object is `String`

    - #### setGswFirstName

          public void setGswFirstName(java.lang.String value)

      Sets the value of the gswFirstName property.
      Parameters:
        `value` - allowed object is `String`

    - #### getGswLastName

          public java.lang.String getGswLastName()

      Gets the value of the gswLastName property.
      Returns:
        possible object is `String`

    - #### setGswLastName

          public void setGswLastName(java.lang.String value)

      Sets the value of the gswLastName property.
      Parameters:
        `value` - allowed object is `String`

    - #### getCfgAgentSnapshotID

          public java.lang.String getCfgAgentSnapshotID()

      Gets the value of the cfgAgentSnapshotID property.
      Returns:
        possible object is `String`

    - #### setCfgAgentSnapshotID

          public void setCfgAgentSnapshotID(java.lang.String value)

      Sets the value of the cfgAgentSnapshotID property.
      Parameters:
        `value` - allowed object is `String`

    - #### getMatchAllActivities

          public java.lang.Integer getMatchAllActivities()

      Gets the value of the matchAllActivities property.
      Returns:
        possible object is `Integer`

    - #### setMatchAllActivities

          public void setMatchAllActivities(java.lang.Integer value)

      Sets the value of the matchAllActivities property.
      Parameters:
        `value` - allowed object is `Integer`

    - #### withWmBUIdNSizeIs

          public CfgAgentFilter withWmBUIdNSizeIs(int value)

    - #### withWmBUId

          public CfgAgentFilter withWmBUId(java.lang.Integer... values)

    - #### withWmBUId

          public CfgAgentFilter withWmBUId(java.util.Collection<java.lang.Integer> values)

    - #### withWmSiteIdNSizeIs

          public CfgAgentFilter withWmSiteIdNSizeIs(int value)

    - #### withWmSiteId

          public CfgAgentFilter withWmSiteId(java.lang.Integer... values)

    - #### withWmSiteId

          public CfgAgentFilter withWmSiteId(java.util.Collection<java.lang.Integer> values)

    - #### withWmTeamIdNSizeIs

          public CfgAgentFilter withWmTeamIdNSizeIs(int value)

    - #### withWmTeamId

          public CfgAgentFilter withWmTeamId(java.lang.Integer... values)

    - #### withWmTeamId

          public CfgAgentFilter withWmTeamId(java.util.Collection<java.lang.Integer> values)

    - #### withGswAgentIdNSizeIs

          public CfgAgentFilter withGswAgentIdNSizeIs(int value)

    - #### withGswAgentId

          public CfgAgentFilter withGswAgentId(java.lang.Integer... values)

    - #### withGswAgentId

          public CfgAgentFilter withGswAgentId(java.util.Collection<java.lang.Integer> values)

    - #### withGswEmployeeIdNSizeIs

          public CfgAgentFilter withGswEmployeeIdNSizeIs(int value)

    - #### withGswEmployeeId

          public CfgAgentFilter withGswEmployeeId(java.lang.String... values)

    - #### withGswEmployeeId

          public CfgAgentFilter withGswEmployeeId(java.util.Collection<java.lang.String> values)

    - #### withWmContractIdNSizeIs

          public CfgAgentFilter withWmContractIdNSizeIs(int value)

    - #### withWmContractId

          public CfgAgentFilter withWmContractId(java.lang.Integer... values)

    - #### withWmContractId

          public CfgAgentFilter withWmContractId(java.util.Collection<java.lang.Integer> values)

    - #### withWmRotatingSchIdNSizeIs

          public CfgAgentFilter withWmRotatingSchIdNSizeIs(int value)

    - #### withWmRotatingSchId

          public CfgAgentFilter withWmRotatingSchId(java.lang.Integer... values)

    - #### withWmRotatingSchId

          public CfgAgentFilter withWmRotatingSchId(java.util.Collection<java.lang.Integer> values)

    - #### withWmAccrualRuleIdNSizeIs

          public CfgAgentFilter withWmAccrualRuleIdNSizeIs(int value)

    - #### withWmAccrualRuleId

          public CfgAgentFilter withWmAccrualRuleId(java.lang.Integer... values)

    - #### withWmAccrualRuleId

          public CfgAgentFilter withWmAccrualRuleId(java.util.Collection<java.lang.Integer> values)

    - #### withWmStartDate

          public CfgAgentFilter withWmStartDate(double value)

    - #### withWmEndDate

          public CfgAgentFilter withWmEndDate(double value)

    - #### withEnableSecondarySkills

          public CfgAgentFilter withEnableSecondarySkills(boolean value)

    - #### withGswFirstName

          public CfgAgentFilter withGswFirstName(java.lang.String value)

    - #### withGswLastName

          public CfgAgentFilter withGswLastName(java.lang.String value)

    - #### withCfgAgentSnapshotID

          public CfgAgentFilter withCfgAgentSnapshotID(java.lang.String value)

    - #### withMatchAllActivities

          public CfgAgentFilter withMatchAllActivities(java.lang.Integer value)

    - #### setWmBUId

          public void setWmBUId(java.util.List<java.lang.Integer> wmBUId)

      Sets the value of the wmBUId property.
      Parameters:
        `wmBUId` - allowed object is `Integer`

    - #### setWmSiteId

          public void setWmSiteId(java.util.List<java.lang.Integer> wmSiteId)

      Sets the value of the wmSiteId property.
      Parameters:
        `wmSiteId` - allowed object is `Integer`

    - #### setWmTeamId

          public void setWmTeamId(java.util.List<java.lang.Integer> wmTeamId)

      Sets the value of the wmTeamId property.
      Parameters:
        `wmTeamId` - allowed object is `Integer`

    - #### setGswAgentId

          public void setGswAgentId(java.util.List<java.lang.Integer> gswAgentId)

      Sets the value of the gswAgentId property.
      Parameters:
        `gswAgentId` - allowed object is `Integer`

    - #### setGswEmployeeId

          public void setGswEmployeeId(java.util.List<java.lang.String> gswEmployeeId)

      Sets the value of the gswEmployeeId property.
      Parameters:
        `gswEmployeeId` - allowed object is `String`

    - #### setWmContractId

          public void setWmContractId(java.util.List<java.lang.Integer> wmContractId)

      Sets the value of the wmContractId property.
      Parameters:
        `wmContractId` - allowed object is `Integer`

    - #### setWmRotatingSchId

          public void setWmRotatingSchId(java.util.List<java.lang.Integer> wmRotatingSchId)

      Sets the value of the wmRotatingSchId property.
      Parameters:
        `wmRotatingSchId` - allowed object is `Integer`

    - #### setWmAccrualRuleId

          public void setWmAccrualRuleId(java.util.List<java.lang.Integer> wmAccrualRuleId)

      Sets the value of the wmAccrualRuleId property.
      Parameters:
        `wmAccrualRuleId` - allowed object is `Integer`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.